## net.sf.saxon.pull
Class PullPushCopier

    java.lang.Object
      net.sf.saxon.pull.PullPushCopier

public class PullPushCopier
extends java.lang.Object

This class copies a document by using the pull interface to read the first document, and the push interface to write the second.

Constructor Summary
`PullPushCopier(PullProvider in, Receiver out)`

Method Summary
`void` `copy()` Copy the input to the output

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullPushCopier

    public PullPushCopier(PullProvider in,
                          Receiver out)

Method Detail

### copy

    public void copy()
              throws XPathException

  Copy the input to the output

  Throws:
    `XPathException`